---
title: create-a-secure-compute-network
product: vercel
url: /docs/rest-api/networking/create-a-secure-compute-network
canonical_url: "https://vercel.com/docs/rest-api/networking/create-a-secure-compute-network"
last_updated: 2026-09-11
type: reference
prerequisites:
  []
related:
  - /docs/rest-api
summary: Learn about create-a-secure-compute-network on Vercel.
install_vercel_plugin: npx plugins add vercel/vercel-plugin
---

# Create a Secure Compute network

```http
POST /v1/connect/networks
```

Allows to create a Secure Compute network.

## Authentication

**bearerToken**: HTTP bearer

## Query parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `teamId` | string | No | The Team identifier to perform the request on behalf of. |
| `slug` | string | No | The Team slug to perform the request on behalf of. |


## Request body

Required: No

Content-Type: `application/json`

```json
{
  "type": "object",
  "required": [
    "cidr",
    "name",
    "region"
  ],
  "properties": {
    "awsAvailabilityZoneIds": {
      "type": "array",
      "items": {
        "type": "string",
        "description": "An AWS Availability Zone ID to use for the network"
      }
    },
    "cidr": {
      "type": "string",
      "description": "The CIDR block of the network"
    },
    "name": {
      "type": "string",
      "description": "The name of the network",
      "maxLength": 255
    },
    "region": {
      "type": "string",
      "description": "The region where the network will be created"
    }
  }
}
```

## Example request

### TypeScript

```typescript
const response = await fetch('https://api.vercel.com/v1/connect/networks?teamId=string&slug=string', {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify({
    "awsAvailabilityZoneIds": [],
    "cidr": "192.168.0.0/16",
    "name": "Example Name",
    "region": "iad1"
  }),
});

const data = await response.json();
console.log(data);
```

### Next.js

```typescript
'use server';

export async function callEndpoint() {
  const response = await fetch('https://api.vercel.com/v1/connect/networks?teamId=string&slug=string', {
    method: 'POST',
    headers: {
      'Authorization': `Bearer ${process.env.VERCEL_ACCESS_TOKEN}`,
      'Content-Type': 'application/json',
    },
    body: JSON.stringify({
      "awsAvailabilityZoneIds": [],
      "cidr": "192.168.0.0/16",
      "name": "Example Name",
      "region": "iad1"
    }),
    next: { revalidate: 3600 }
  });

  if (!response.ok) {
    throw new Error('Request failed');
  }

  return response.json();
}
```

### cURL

```bash
curl -X POST 'https://api.vercel.com/v1/connect/networks?teamId=string&slug=string' \
  -H 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
  -H 'Content-Type: application/json' \
  -d "{
    \"awsAvailabilityZoneIds\": [],
    \"cidr\": \"192.168.0.0/16\",
    \"name\": \"Example Name\",
    \"region\": \"iad1\"
  }"
```

## Example response

```json
{
  "awsAccountId": "example_id",
  "awsAvailabilityZoneIds": [],
  "awsRegion": "string",
  "cidr": "example_id",
  "createdAt": "123",
  "egressIpAddresses": [],
  "hostedZones": {
    "count": "123"
  },
  "id": "icfg_1234567890",
  "name": "Example Name",
  "peeringConnections": {
    "count": "123"
  },
  "projects": {
    "count": "123",
    "ids": []
  },
  "region": "string",
  "status": "create_in_progress",
  "teamId": "example_id",
  "vpcId": "example_id"
}
```

## Responses

### 201: No description

Content-Type: `application/json`

```json
{
  "type": "object",
  "required": [
    "awsAccountId",
    "awsRegion",
    "cidr",
    "createdAt",
    "id",
    "name",
    "status",
    "teamId"
  ],
  "properties": {
    "awsAccountId": {
      "type": "string",
      "description": "The ID of the AWS Account in which the network exists."
    },
    "awsAvailabilityZoneIds": {
      "type": "array",
      "description": "The IDs of the AWS Availability Zones in which the network exists, if specified during creation.",
      "items": {
        "type": "string"
      }
    },
    "awsRegion": {
      "type": "string",
      "description": "The AWS Region in which the network exists."
    },
    "cidr": {
      "type": "string",
      "description": "The CIDR range of the Network."
    },
    "createdAt": {
      "type": "number",
      "description": "The date at which the Network was created, represented as a UNIX timestamp since EPOCH."
    },
    "egressIpAddresses": {
      "type": "array",
      "items": {
        "type": "string"
      }
    },
    "hostedZones": {
      "type": "object",
      "description": "Metadata about any AWS Route53 Hosted Zones associated with the Network.",
      "required": [
        "count"
      ],
      "properties": {
        "count": {
          "type": "number",
          "description": "The number of AWS Route53 Hosted Zones associated with the Network."
        }
      }
    },
    "id": {
      "type": "string",
      "description": "The unique identifier of the Network."
    },
    "name": {
      "type": "string",
      "description": "The name of the network."
    },
    "peeringConnections": {
      "type": "object",
      "description": "Metadata about any AWS Route53 Hosted Zones associated with the Network.",
      "required": [
        "count"
      ],
      "properties": {
        "count": {
          "type": "number",
          "description": "The number of AWS Route53 Hosted Zones associated with the Network."
        }
      }
    },
    "projects": {
      "type": "object",
      "description": "Metadata about any projects associated with the Network.",
      "required": [
        "count",
        "ids"
      ],
      "properties": {
        "count": {
          "type": "number"
        },
        "ids": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    },
    "region": {
      "type": "string",
      "description": "The Vercel region in which the Network exists."
    },
    "status": {
      "type": "string",
      "description": "The status of the Network.",
      "enum": [
        "create_in_progress",
        "delete_in_progress",
        "error",
        "ready"
      ]
    },
    "teamId": {
      "type": "string",
      "description": "The unique identifier of the Team that owns the Network."
    },
    "vpcId": {
      "type": "string",
      "description": "The ID of the VPC which hosts the network."
    }
  }
}
```

### 400: One of the provided values in the request body is invalid.

### 401: The request is not authorized.

### 402: The account is missing a payment so payment method must be updated

### 403: You do not have permission to access this resource.

### 409: No description

### 410: No description

---

## Related

- [networking endpoints](/docs/rest-api#networking)

- [REST API overview](/docs/rest-api)

- [OpenAPI spec](https://openapi.vercel.sh/) (machine-readable, all endpoints)

---

[View full sitemap](/docs/sitemap)
